package com.hungraim.ism.pojo.entity.system;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @author hubin
 */
@Data
@TableName("ISM_MARKETER")
public class SystemMarketer {

  @TableId
  private int id;
  private String qywxId;
  private String marketerCode;
  private String marketerName;
  private String gender;
  private Date birthday;
  private String mobile;
  private String telephone;
  private String email;
  private String avatar;
  private String education;
  private String marriage;
  private String politicalProfile;
  private String religion;
  private String nationality;
  private String provinceCode;
  private String provinceName;
  private String cityCode;
  private String cityName;
  private String areaName;
  private String address;
  private String agencyCode;
  private String agencyName;
  private String departmentCode;
  private String departmentName;
  private String teamCode;
  private String teamName;
  private String position;
  private String dialingTime;
  private int currentAssignedAmount;
  private int totalAssignedAmount;
  private int turnover;
  private double individualRating;
  private String enable;
  private String ifSeparation;
  private Date createdTime;
  private Date updatedTime;

  //用于计算评分
  @TableField(exist = false)
  private Double rating;

}
