package com.hungraim.ism.pojo.entity.system;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 *
 *
 * 系统资源表，用于权限验证
 * @author hubin
 */
@Data
@TableName("ISM_RESOURCE")
public class SystemResource {

  private Long id;
  private String resourceName;
  private String resourceUrl;
  private String method;
  private String resourceType;
  private Date createTime;

  @TableField(exist = false)
  private List<Long> roleIds;

}
