package com.hungraim.ism.system.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hungraim.ism.pojo.entity.system.SystemResource;
import org.apache.ibatis.annotations.*;

import java.util.List;

/**
 * @author hubin
 */
@Mapper
public interface SystemResourceMapper extends BaseMapper<SystemResource> {


  /**
   * 查询所有资源对应的角色
   * @return list
   */
  @Select("SELECT ID,RESOURCE_NAME,RESOURCE_URL,METHOD FROM ISM_RESOURCE")
  @Results({
    @Result(property = "roleIds", column = "id",many = @Many(select = "com.hungraim.ism.system.dao.SystemRoleResourceMapper.listRoleIds"))
  })
  List<SystemResource> listResourceRoles();

}
