package com.hungraim.ism.pojo.entity.system;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @author hubin
 */
@Data
@TableName("oauth_client_details")
public class SystemClientDetails {

  private String clientId;
  private String resourceIds;
  private String clientSecret;
  /**
   * 如果字段存的是enterpriseWechat，代表这个client是给到企业微信的app
   */
  private String scope;
  private String authorizedGrantTypes;
  private String webServerRedirectUri;
  private String authorities;
  private String accessTokenValidity;
  private String refreshTokenValidity;
  private String additionalInformation;
  private String autoapprove;
  private String clientName;





}
