package com.hungraim.ism.pojo.entity.system;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.springframework.data.annotation.Id;

import java.util.Date;

/**
 * @author hubin
 */
@Data
@TableName("ISM_CUSTOMER_INFO")
public class SystemCustomerInfo {

  @TableId
  private Long customerId;
  private Long originalCustomerId;
  private Long batchId;
  private Date insertTime;
  private String name;
  private String gender;
  private Date birthday;
  private int age;
  private String mobile;
  private String documentType;
  private String documentNumber;
  private String documentValidTo;
  private String email;
  private String nationality;
  private String nation;
  private String occupationCode;
  private String occupationName;
  private String annualIncome;
  private String height;
  private String weight;
  private String education;
  private String marriage;
  private String politicalProfile;
  private String religion;
  private String avatar;
  private String provinceCode;
  private String provinceName;
  private String cityCode;
  private String cityName;
  private String areaName;
  private String areaCode;
  private String address;
  private String postcode;
  private String inauguralBankCode;
  private String inauguralBankName;
  private String inauguralBankAccount;
  private String renewalBankCode;
  private String renewalBankName;
  private String renewalBankAccount;
  private String dataSeries;
  private String dataSource;
  private String dataSubSource;
  private String manufacturerCode;
  private String manufacturerName;
  private String ifSmoking;
  private String ifHaveCar;
  private String carType;
  private String ifHaveHouse;
  private String ifHaveCreditCard;
  private String ifHaveSocialSecurity;
  private String ifHaveLoan;
  private String ifHaveInsurancePolicy;
  private String ifHaveProvidentFunds;
  private String ifHaveChild;
  private int childNum;
  @TableField("child_1_age")
  private int child1Age;
  @TableField("child_2_age")
  private int child2Age;
  @TableField("child_3_age")
  private int child3Age;
  private String ifBuyedInsurance;
  private String ifPlanInsurance;
  private String insuranceBuyTime;
  private String insuranceEnsureTime;
  private String getCustomerTime;
  private String getCustomerSource;
  private Date createdTime;
  private String marketerCode;
  private String marketerName;
  private String assignmentStatus;
  private String assignmentCount;
  private String recycleStatus;
  private int recycleCount;
  private String customerStatus;
  private Double individualRating;
  private String customerSource;
  private Date updatedTime;
  private String toAgencyCode;
  private String toAgencyName;






}
