package com.hungraim.ism.pojo.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author hubin
 */
@Data
@NoArgsConstructor
@TableName("ISM_USER")
public class SystemUser {

    @TableId(type = IdType.AUTO)
    private Long id;
    private String account;
    private String password;
    private String realName;
    private String gender;
    private String marketerCode;
    private String userStatus;
    private Date createdTime;
    private Date updatedTime;

}
